Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.logging.log4j
Class WLLog4jLogEvent

    java.lang.Object
      LoggingEvent
          weblogic.logging.log4j.WLLog4jLogEvent

All Implemented Interfaces:
  Externalizable, weblogic.logging.LogEntry, Serializable

public class WLLog4jLogEvent
extends LoggingEvent
implements weblogic.logging.LogEntry, Externalizable

Defines the fields in the logging event which is passed on to all Appenders.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDiagnosticContextId()` Gets the diagnostic context id associated with this log event.
`String` | `getFormattedDate()` Gets the formatted date string
`String` | `getId()` Gets the message id of this log entry
`String` | `getLogMessage()` Gets the message content of this log entry.
`String` | `getMachineName()` Gets the machine name on which this log entry was created
`String` | `getServerName()` Gets the server name on which this log entry was created
`int` | `getSeverity()` Gets the severity level for this message.
`String` | `getSubsystem()` Gets the name of the subsystem emitting this message
`String` | `getThreadName()` Gets the thread name in which this event was generated.
`weblogic.logging.ThrowableInfo` | `getThrowableInfo()` Gets the exception associated with this log event.
`long` | `getTimestamp()` Gets the timestamp when this message was created.
`String` | `getTransactionId()` Gets the JTA transaction id.
`String` | `getUserId()` Gets the user id who generated this log event.
`void` | `setThrowableInfo(weblogic.logging.ThrowableInfo thInfo)` Sets the exception associated with this log event.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDiagnosticContextId

    public String getDiagnosticContextId()

  Gets the diagnostic context id associated with this log event.

  Specified by:
    `getDiagnosticContextId` in interface `weblogic.logging.LogEntry`

### getFormattedDate

    public String getFormattedDate()

  Gets the formatted date string

  Specified by:
    `getFormattedDate` in interface `weblogic.logging.LogEntry`
  Returns:

### getId

    public String getId()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the message id of this log entry

  Specified by:
    `getId` in interface `weblogic.logging.LogEntry`
  Returns:

### getLogMessage

    public String getLogMessage()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the message content of this log entry.

  Specified by:
    `getLogMessage` in interface `weblogic.logging.LogEntry`
  Returns:

### getMachineName

    public String getMachineName()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the machine name on which this log entry was created

  Specified by:
    `getMachineName` in interface `weblogic.logging.LogEntry`
  Returns:

### getServerName

    public String getServerName()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the server name on which this log entry was created

  Specified by:
    `getServerName` in interface `weblogic.logging.LogEntry`
  Returns:

### getSeverity

    public int getSeverity()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the severity level for this message.

  Specified by:
    `getSeverity` in interface `weblogic.logging.LogEntry`
  Returns:

### getSubsystem

    public String getSubsystem()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the name of the subsystem emitting this message

  Specified by:
    `getSubsystem` in interface `weblogic.logging.LogEntry`
  Returns:

### getThreadName

    public String getThreadName()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the thread name in which this event was generated.

  Specified by:
    `getThreadName` in interface `weblogic.logging.LogEntry`
  Returns:

### getThrowableInfo

    public weblogic.logging.ThrowableInfo getThrowableInfo()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the exception associated with this log event.

  Specified by:
    `getThrowableInfo` in interface `weblogic.logging.LogEntry`

### getTimestamp

    public long getTimestamp()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the timestamp when this message was created.

  Specified by:
    `getTimestamp` in interface `weblogic.logging.LogEntry`
  Returns:

### getTransactionId

    public String getTransactionId()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the JTA transaction id.

  Specified by:
    `getTransactionId` in interface `weblogic.logging.LogEntry`
  Returns:

### getUserId

    public String getUserId()

  Description copied from interface: `weblogic.logging.LogEntry`
  Gets the user id who generated this log event.

  Specified by:
    `getUserId` in interface `weblogic.logging.LogEntry`
  Returns:

### setThrowableInfo

    public void setThrowableInfo(weblogic.logging.ThrowableInfo thInfo)

  Description copied from interface: `weblogic.logging.LogEntry`
  Sets the exception associated with this log event.

  Specified by:
    `setThrowableInfo` in interface `weblogic.logging.LogEntry`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD